javax.jms

## Class MessageEOFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.MessageEOFException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageEOFException

    public class MessageEOFException
    extends JMSException

This exception must be thrown when an unexpected end of stream has been reached when a `StreamMessage` or `BytesMessage` is being read.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MessageEOFException(java.lang.String reason)` Constructs a `MessageEOFException` with the specified reason.
`MessageEOFException(java.lang.String reason, java.lang.String errorCode)` Constructs a `MessageEOFException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessageEOFException

    public MessageEOFException(java.lang.String reason,
                       java.lang.String errorCode)

Constructs a `MessageEOFException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### MessageEOFException

    public MessageEOFException(java.lang.String reason)

Constructs a `MessageEOFException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception